List case notes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /case/notes/{caseId}

Lists the device notes shared into the case, optionally filtered by device or searched by text.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required

Query parameters

  • page number

    Default value is 1.

  • perPage number

    Default value is 10.

  • skip number

    If skip/limit not provided, page/perPage will take precedence

  • limit number

    If skip/limit not provided, page/perPage will take precedence

  • sortOrder string

    Values are asc or desc. Default value is asc.

  • device string

    Filter by device MongoDB id

  • searchText string
  • sortBy string

    Values are createdAt, title, or externalId. Default value is createdAt.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • total number Required
      • page number
      • perPage number
      • skip number
      • limit number
      • totalPages number Required
      • nextPage number | null Required
      • previousPage number | null Required
      • data array[object]
        Hide data attributes Show data attributes object
        • createdAt string(date-time) Required
        • updatedAt string(date-time) Required
        • id string Required
        • app string Required
        • title string | null Required
        • summary string | null Required
        • rawData string | null Required
        • htmlData string | null Required
        • creationDate string(date-time) | null Required
        • modificationDate string(date-time) | null Required
        • isDeleted boolean Required
        • externalId string Required
        • attachments array[object] | null Required

          The full record on routes that load it; null (or an empty list) on routes that do not.

          Hide attachments attributes Show attachments attributes object
          • createdAt string(date-time) Required
          • updatedAt string(date-time) Required
          • id string Required
          • name string Required
          • providerId string Required
          • convertedName string | null Required
          • convertedProviderId string Required
          • provider string Required
          • size number Required

            Size in bytes

          • transferState number | null Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /case/notes/{caseId}
curl \
 --request GET 'http://api.example.com/case/notes/{caseId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": {
    "total": 42,
    "page": 1,
    "perPage": 20,
    "skip": 0,
    "limit": 20,
    "totalPages": 3,
    "nextPage": 2,
    "previousPage": 42.0,
    "data": [
      {
        "createdAt": "2026-01-15T14:30:00.000Z",
        "updatedAt": "2026-01-15T14:30:00.000Z",
        "id": "507f1f77bcf86cd799439011",
        "app": "Notes",
        "title": "To do",
        "summary": "Call Sam about the invoice",
        "rawData": "Call Sam about the invoice",
        "htmlData": "<p>Call Sam about the invoice</p>",
        "creationDate": "2025-05-20T08:00:00.000Z",
        "modificationDate": "2025-05-21T09:30:00.000Z",
        "isDeleted": false,
        "externalId": "note-7731",
        "attachments": [
          {
            "createdAt": "2026-01-15T14:30:00.000Z",
            "updatedAt": "2026-01-15T14:30:00.000Z",
            "id": "507f1f77bcf86cd799439011",
            "name": "photo.heic",
            "providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
            "convertedName": "photo.jpg",
            "convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
            "provider": "s3",
            "size": 204800,
            "transferState": 42.0
          }
        ]
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}